﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corporation" file="AdmAccessToken.cs">
//   Copyright © Microsoft Corporation.  All Rights Reserved.  
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)
// </copyright>
// <summary>
//   Authentication token data class for the Microsoft Translator on Azure.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Microsoft.MCSUK.RESXTranslator
{
    using System.Runtime.Serialization;

    /// <summary>
    /// Data cclass capturing an access token
    /// </summary>
    [DataContract]
    public class AdmAccessToken
    {
        /// <summary>
        /// Gets or sets the access token
        /// </summary>
        [DataMember(Name = "access_token")]
        public string AccessToken { get; set; }

        /// <summary>
        /// Gets or sets the token type
        /// </summary>
        [DataMember(Name = "token_type")]
        public string TokenType { get; set; }

        /// <summary>
        /// Gets or sets the expiration of the access token
        /// </summary>
        [DataMember(Name = "expires_in")]
        public string ExpiresIn { get; set; }

        /// <summary>
        /// Gets or sets the scope of access token
        /// </summary>
        [DataMember(Name = "scope")]
        public string Scope { get; set; }
    }
}
